# CraftPresence

## [v2.2.0+Beta.6](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v2.2.0+Beta.6) (2022-05-26)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v2.2.0+Beta.5...v2.2.0+Beta.6) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Change] Added Support for Custom Formatting Rules in RPC Fields  
    - `messageFormatCallback` and `messageFormatType` have been added to all applicable RPC fields. For buttons, only the label uses dynamic formatting rules, for obvious reasons. For images, `keyFormatCallback` and `keyFormatType` have been added to differentiate between the key and message formatting.  
    - Added function `ParseDynamicFormatting` to dynamically parse with either a string or function references. If a string is specified for the callback, it will use `GetCaseData` (Valid Types for this are `lower|upper|no-dupes|icon`).  
    - As a minor performance improvement, the `result` field has been removed from `self.buttons` and has instead been moved out of the placeholders loop and into the final `supply\_data` if-case.  
